version: '3'

services:
  db:
    image: mysql
    container_name: iiGTestDB
    restart: always
    environment:
      MYSQL_ROOT_USER: root
      MYSQL_ROOT_PASSWORD: root1234
      MYSQL_DATABASE: iig_test
      MYSQL_USER: root2
      MYSQL_PASSWORD: secret2
    command: 
      --init-file /data/application/init.sql
      --default-authentication-plugin=mysql_native_password
    volumes:
      - ./iiGTestDB/init.sql:/data/application/init.sql
    ports:
      - 9390:3306
    networks:
      - net
  phpmyadmin:
    depends_on:
      - db
    image: phpmyadmin/phpmyadmin
    container_name: iiGTestMyAdmin
    restart: always
    ports:
      - 9391:80
    environment:
      PMA_HOST: db
      MYSQL_ROOT_PASSWORD: root1234
    networks:
      - net
  spring:
    image: iig-test-ws:1
    build:
      context: ./iiGTestWS
      dockerfile: Dockerfile
    container_name: iiGTestWS
    ports:
      - 9392:8080
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://db:3306/iig_test?autoReconnect=true&useSSL=false
    depends_on:
      - db
    networks:
      - net
  web:
    image: php:7.4-apache
    container_name: iiGTest
    volumes:
      - ./iiGTest/:/var/www/html/
    ports:
      - 9393:80
    depends_on:
      - db
    links:
      - spring:webservice
    networks:
      - net

networks:
  net:
    driver: bridge